## org.h2.expression
Class Condition

    java.lang.Object
      org.h2.expression.Expression
          org.h2.expression.Condition

Direct Known Subclasses:
  CompareLike, Comparison, ConditionAndOr, ConditionExists, ConditionIn, ConditionInSelect, ConditionNot

    public abstract class Condition

extends Expression

Represents a condition returning a boolean value, or NULL.

Constructor Summary
`Condition()`

Method Summary
`int` `getDisplaySize()` Get the display size of this expression.
`long` `getPrecision()` Get the precision of this expression.
`int` `getScale()` Get the scale of this expression.
`int` `getType()` Return the data type.

Methods inherited from class org.h2.expression.Expression
`addFilterConditions, createIndexConditions, getAlias, getBooleanValue, getColumnName, getCost, getNonAliasExpression, getNotIfPossible, getNullable, getSchemaName, getSQL, getTableAlias, getTableName, getValue, isAutoIncrement, isConstant, isEverything, isEverything, isValueSet, isWildcard, mapColumns, optimize, optimizeInJoin, setEvaluatable, toString, updateAggregate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Condition

    public Condition()

Method Detail

### getType

    public int getType()

  Description copied from class: `Expression`
  Return the data type. The data type may not be known before the optimization phase.

  Specified by:
    `getType` in class `Expression`
  Returns:
    the type

### getScale

    public int getScale()

  Description copied from class: `Expression`
  Get the scale of this expression.

  Specified by:
    `getScale` in class `Expression`
  Returns:
    the scale

### getPrecision

    public long getPrecision()

  Description copied from class: `Expression`
  Get the precision of this expression.

  Specified by:
    `getPrecision` in class `Expression`
  Returns:
    the precision

### getDisplaySize

    public int getDisplaySize()

  Description copied from class: `Expression`
  Get the display size of this expression.

  Specified by:
    `getDisplaySize` in class `Expression`
  Returns:
    the display size